Page MenuHomePhabricator

MW-1.28.0-wmf.17 deployment blockers
Closed, ResolvedPublic

Details

Related Gerrit Patches:
operations/mediawiki-config : masterGroup0 to 1.28.0-wmf.17 (bis)
operations/mediawiki-config : masterRevert "Group0 to 1.28.0-wmf.17"
operations/mediawiki-config : masterGroup0 to 1.28.0-wmf.17

Related Objects

Event Timeline

greg created this task.Aug 4 2016, 6:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 4 2016, 6:31 PM
greg assigned this task to hashar.Aug 4 2016, 6:36 PM

I am confirming that I am going to rid the train this week

T143889 breaks some part of LiquidThreads and is reproducible on beta cluster. Due to a serie of patches in MediaWiki.

Mentioned in SAL [2016-08-30T14:39:17Z] <hashar> Applying security patches for 1.28.0-wmf.17 T142117

T143889 is imho no more a blocker. The root cause in MediaWiki core has been reverted.

T109140 got rebased and is applied.

All security patches applied.

Ready to roll to group0.

Change 307517 had a related patch set uploaded (by Hashar):
Group0 to 1.28.0-wmf.17

https://gerrit.wikimedia.org/r/307517

Mentioned in SAL [2016-08-30T14:51:03Z] <hashar@tin> Started scap: testwiki to php-1.27.0-wmf.17 T142117

Mentioned in SAL [2016-08-30T15:44:32Z] <hashar@tin> Finished scap: testwiki to php-1.27.0-wmf.17 T142117 (duration: 53m 28s)

Change 307517 merged by jenkins-bot:
Group0 to 1.28.0-wmf.17

https://gerrit.wikimedia.org/r/307517

Mentioned in SAL [2016-08-30T19:03:35Z] <hashar@tin> rebuilt wikiversions.php and synchronized wikiversions files: group0 to 1.28.0-wmf.17 T142117

Mentioned in SAL [2016-08-30T19:05:38Z] <hashar@tin> rebuilt wikiversions.php and synchronized wikiversions files: Rollback 1.28.0-wmf.17 T142117

Change 307562 had a related patch set uploaded (by Hashar):
Revert "Group0 to 1.28.0-wmf.17"

https://gerrit.wikimedia.org/r/307562

Change 307562 merged by jenkins-bot:
Revert "Group0 to 1.28.0-wmf.17"

https://gerrit.wikimedia.org/r/307562

Change 307565 had a related patch set uploaded (by Hashar):
Group0 to 1.28.0-wmf.17 (bis)

https://gerrit.wikimedia.org/r/307565

Change 307565 merged by jenkins-bot:
Group0 to 1.28.0-wmf.17 (bis)

https://gerrit.wikimedia.org/r/307565

scap sync-wikiversions 'group0 to 1.28.0-wmf.17 (bis) T144307'

19:46:03 rebuilt wikiversions.php and synchronized wikiversions files: group1 wikis to 1.28.0-wmf.17

There is a couple explicit commit of implicit transactions for Wikidata T144433 T144434 not much of a worry

greg closed this task as Resolved.Sep 9 2016, 5:56 PM
greg removed a project: Patch-For-Review.